% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: rules.pl,v $
%%  $Revision: 1.3 $
%%      $Date: 2005/10/20 08:17:02 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

h_arg rule
(phrase,
 head:Head,
 subcat:Subcat)
  ===>
cat> (syntactic_object,
      head:Head,
      subcat:[NonheadDtr|Subcat]),
cat> (syntactic_object,
      NonheadDtr).

arg_h rule
(phrase,
 head:Head,
 subcat:Subcat)
  ===>
cat> (syntactic_object,
      NonheadDtr),
cat> (syntactic_object,
      head:Head,
      subcat:[NonheadDtr|Subcat]).

h_adj rule
(phrase,
 head:Head,
 subcat:Subcat)
  ===>
cat> (syntactic_object,
      HeadDtr,
      head:Head,
      subcat:Subcat),
cat> (syntactic_object,
      head:mod:[HeadDtr],
         subcat:[]).

adj_h rule
(phrase,
 head:Head,
 subcat:Subcat)
  ===>
cat> (syntactic_object,
      head:mod:[HeadDtr],
         subcat:[]),
cat> (syntactic_object,
      HeadDtr,
      head:Head,
      subcat:Subcat).
